# NodeLabelEditEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.2.0.0)

Represents the method that will handle the [BeforeLabelEdit](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/treeview/..#beforelabeledit) and [AfterLabelEdit](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/treeview/..#afterlabeledit) events of a [TreeView](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/treeview) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void NodeLabelEditEventHandler(Object sender, NodeLabelEditEventArgs e)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub NodeLabelEditEventHandler(ByVal sender As [Object], ByVal e As NodeLabelEditEventArgs)
```

{% endtab %}
{% endtabs %}

## Parameters

| Name       | Type                                                                                                                          | Description                                                                                                                                                   |
| ---------- | ----------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **sender** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                                                                 | The source of the event.                                                                                                                                      |
| **e**      | [NodeLabelEditEventArgs](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/treeview/wisej.web.nodelabelediteventargs) | A [NodeLabelEditEventArgs](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/treeview/wisej.web.nodelabelediteventargs) that contains the event data. |

## Fired By

| Name                                                                                                                     | Description                                       |
| ------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------- |
| [TreeNode.AfterLabelEdit](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/wisej.web.treenode#afterlabeledit)   | Occurs after the tree node label text is edited.  |
| [TreeNode.BeforeLabelEdit](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/wisej.web.treenode#beforelabeledit) | Occurs before the tree node label text is edited. |
| [TreeView.AfterLabelEdit](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/treeview/..#afterlabeledit)          | Occurs after the tree node label text is edited.  |
| [TreeView.BeforeLabelEdit](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/treeview/..#beforelabeledit)        | Occurs before the tree node label text is edited. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/treeview/wisej.web.nodelabelediteventhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
